Bug 652923 - [abrt] meld-1.3.2-1.fc14: meldapp.py:321:on_notebook_label_changed:AttributeError: 'NoneType' object has no attribute 'set_label_text'
Summary: [abrt] meld-1.3.2-1.fc14: meldapp.py:321:on_notebook_label_changed:AttributeE...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: meld
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:381c7e12
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-13 14:38 UTC by Matthieu Pupat
Modified: 2011-03-22 21:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-22 21:55:32 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (528 bytes, text/plain)
2010-11-13 14:38 UTC, Matthieu Pupat
no flags Details

Description Matthieu Pupat 2010-11-13 14:38:46 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: python /usr/bin/meld
component: meld
executable: /usr/bin/meld
kernel: 2.6.35.6-48.fc14.x86_64
package: meld-1.3.2-1.fc14
reason: meldapp.py:321:on_notebook_label_changed:AttributeError: 'NoneType' object has no attribute 'set_label_text'
release: Fedora release 14 (Laughlin)
How to reproduce: Check "Ignore changes that insert or delete blank lines" in meld options
time: 1289658947
uid: 500

backtrace
-----
meldapp.py:321:on_notebook_label_changed:AttributeError: 'NoneType' object has no attribute 'set_label_text'

Traceback (most recent call last):
  File "/usr/share/meld/meld/meldapp.py", line 321, in on_notebook_label_changed
    nbl.set_label_text(text)
AttributeError: 'NoneType' object has no attribute 'set_label_text'

Local variables in innermost frame:
text: 'File1.txt : File2.txt*'
self: <meld.meldapp.MeldApp object at 0x1174ed0>
component: <FileDiff object at 0x11970a0 (meld+melddoc+MeldDoc at 0x13c2640)>
nbl: None

Comment 1 Matthieu Pupat 2010-11-13 14:38:48 UTC
Created attachment 460239 [details]
File: backtrace

Comment 2 eblix08 2011-01-20 14:00:01 UTC
Package: meld-1.3.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. In preferences clicked "Ignore changes which insert or delete blank lines."
2. 
3.


Comment
-----
Meld remained open after the crash.

Comment 3 Fedora Admin XMLRPC Client 2011-03-13 15:38:46 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Dominic Hopf 2011-03-13 17:52:11 UTC
Thanks very much for reporting this issue guys. Would it be possible for you to try reproducing this issue with the current meld 1.4 which is already in Fedora 14?

Comment 5 eblix08 2011-03-13 23:17:31 UTC
Unable to reproducing this issue.

Thanks.

Comment 6 Matthieu Pupat 2011-03-14 01:55:30 UTC
Unable to reroduce either

Comment 7 Dominic Hopf 2011-03-22 21:55:32 UTC
Thanks very much for your feedback guys. :)


Note You need to log in before you can comment on or make changes to this bug.